## ChaptersTrackMenuItem

The chapter track menu item

## Constructor

#### new ChaptersTrackMenuItem(player, optionsopt)
`control-bar/text-track-controls/chapters-track-menu-item.js`, `line 13`

  Creates an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `player` | Player |  | The `Player` that this class should be attached to.
  `options` | Object | <optional> | The key/value store of player options.

### Extends

- MenuItem

### Methods

#### createEl(typeopt, propsopt, attrsopt) → {Element}
`menu/menu-item.js`, `line 56`

  Create the `MenuItem's DOM element

  ##### Parameters:

  Name | Type | Attributes | Default | Description
  --- | --- | --- | --- | ---
  `type` | string | <optional> | li | Element's node type, not actually used, always set to `li`.
  `props` | Object | <optional> | {} | An object of properties that should be set on the element
  `attrs` | Object | <optional> | {} | An object of attributes that should be set on the element

  ##### Returns:

  Element -

  The element that gets created.

  Inherited From:
    - MenuItem#createEl

#### handleClick(eventopt)
`control-bar/text-track-controls/chapters-track-menu-item.js`, `line 51`

  This gets called when an `ChaptersTrackMenuItem` is "clicked". See ClickableComponent for more detailed information on what a click can be.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `event` | EventTarget~Event | <optional> | The `keydown`, `tap`, or `click` event that caused this function to be called.

  ##### Listens to Events:

  - event:tap
  - event:click
  Overrides:
    - MenuItem#handleClick

#### selected(selected)
`menu/menu-item.js`, `line 88`

  Set the state for this menu item as selected or not.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `selected` | boolean | if the menu item is selected or not

  Inherited From:
    - MenuItem#selected

#### update(eventopt)
`control-bar/text-track-controls/chapters-track-menu-item.js`, `line 65`

  Update chapter menu item

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `event` | EventTarget~Event | <optional> | The `cuechange` event that caused this function to run.

  ##### Listens to Events:

  - TextTrack#event:cuechange